import type { ResourceCategory } from '@holi/core/screens/spaces/details/components/ResourceCategoryTile'

export const SPACE_COLLABORATOR_TOOLS = {
  DIGITAL_TOOL: 'digital-tool',
  STORAGE: 'storage',
  EVENT: 'event',
  POLL: 'poll',
  VIDEO_CALL: 'video-call',
  WALLET: 'wallet',
}

export const RESOURCE_CATEGORIES_LIST: ResourceCategory[] = [
  {
    id: SPACE_COLLABORATOR_TOOLS.DIGITAL_TOOL,
    icon: 'link-m',
    translationKey: 'spaces.resources.category.linkhub',
    path: '/linkhub',
  },
  {
    id: SPACE_COLLABORATOR_TOOLS.STORAGE,
    icon: 'folder-open',
    translationKey: 'spaces.resources.category.file',
    path: '/storage',
  },
  {
    id: SPACE_COLLABORATOR_TOOLS.VIDEO_CALL,
    icon: 'vidicon',
    translationKey: 'spaces.resources.category.videoCall',
    path: '/video-call',
  },
]

export const RESOURCES_COMING_SOON: ResourceCategory[] = [
  {
    id: SPACE_COLLABORATOR_TOOLS.EVENT,
    icon: 'calendar-event',
    translationKey: 'spaces.resources.category.event',
    path: '',
  },
  {
    id: SPACE_COLLABORATOR_TOOLS.POLL,
    icon: 'timer-2',
    translationKey: 'spaces.resources.category.poll',
    path: '',
  },
  {
    id: SPACE_COLLABORATOR_TOOLS.VIDEO_CALL,
    icon: 'group',
    translationKey: 'spaces.resources.category.videoCall',
    path: '',
  },
  {
    id: SPACE_COLLABORATOR_TOOLS.WALLET,
    icon: 'wallet-3',
    translationKey: 'spaces.resources.category.wallet',
    path: '',
  },
]
